# $Revision: 1.47 $, $Date: 2011/02/19 20:24:09 $
%define		realname	libpng
Summary:	PNG library - MinGW32 cross version
Summary(pl.UTF-8):	Biblioteka PNG - wersja skrośna dla MinGW32
Name:		crossmingw32-%{realname}
Version:	1.4.5
Release:	2
License:	distributable
Group:		Development/Libraries
Source0:	http://downloads.sourceforge.net/libpng/%{realname}-%{version}.tar.xz
# Source0-md5:	37d420c7d8294aac438c150bb4335901
Patch0:		%{realname}-pngminus.patch
# http://littlesvr.ca/apng/diff/%{name}-%{version}-apng.patch | dos2unix
Patch1:		%{realname}-apng.patch
URL:		http://www.libpng.org/pub/png/libpng.html
BuildRequires:	crossmingw32-gcc
BuildRequires:	crossmingw32-zlib
BuildRequires:	sed >= 4.0
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz >= 1:4.999.7
Requires:	crossmingw32-zlib
Provides:	crossmingw32-libpng(APNG) = 0.10
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		no_install_post_strip	1

%define		target			i386-mingw32
%define		target_platform		i386-pc-mingw32

%define		_sysprefix		/usr
%define		_prefix			%{_sysprefix}/%{target}
%define		_libdir			%{_prefix}/lib
%define		_pkgconfigdir		%{_prefix}/lib/pkgconfig
%define		_dlldir			/usr/share/wine/windows/system
%define		__cc			%{target}-gcc
%define		__cxx			%{target}-g++

%ifnarch %{ix86}
# arch-specific flags (like alpha's -mieee) are not valid for i386 gcc
%define		optflags	-O2
%endif
# -z options are invalid for mingw linker
%define		filterout_ld    -Wl,-z,.*

%description
The PNG library is a collection of routines used to create and
manipulate PNG format graphics files. The PNG format was designed as a
replacement for GIF, with many improvements and extensions.

This package contains the cross version for Win32.

%description -l pl.UTF-8
Biblioteki PNG są kolekcją form używanych do tworzenia i manipulowania
plikami w formacie graficznym PNG. Format ten został stworzony jako
zamiennik dla formatu GIF, z wieloma rozszerzeniami i nowościami.

Ten pakiet zawiera wersję skrośną dla Win32.

%package static
Summary:	Static libpng library (cross MinGW32 version)
Summary(pl.UTF-8):	Statyczna biblioteka libpng (wersja skrośna MinGW32)
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Provides:	crossmingw32-libpng-static(APNG) = 0.10

%description static
Static libpng library (cross MinGW32 version).

%description static -l pl.UTF-8
Statyczna biblioteka libpng (wersja skrośna MinGW32).

%package dll
Summary:	libpng - DLL library for Windows
Summary(pl.UTF-8):	libpng - biblioteka DLL dla Windows
Group:		Applications/Emulators
Requires:	crossmingw32-zlib-dll
Requires:	wine
Provides:	crossmingw32-libpng-dll(APNG) = 0.10

%description dll
libpng - DLL library for Windows.

%description dll -l pl.UTF-8
libpng - biblioteka DLL dla Windows.

%prep
%setup -q -n %{realname}-%{version}
%patch0 -p1
%patch1 -p0

# avoid version script
sed -i -e 's/^GLD=.*/GLD=/' configure

%build
%configure \
	--target=%{target} \
	--host=%{target} \
	--with-pkgconfigdir=%{_pkgconfigdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_dlldir}
mv -f $RPM_BUILD_ROOT%{_prefix}/bin/*.dll $RPM_BUILD_ROOT%{_dlldir}

ln -sf libpng14.dll.a $RPM_BUILD_ROOT%{_libdir}/libpng.dll.a

%if 0%{!?debug:1}
%{target}-strip --strip-unneeded -R.comment -R.note $RPM_BUILD_ROOT%{_dlldir}/*.dll
%{target}-strip -g -R.comment -R.note $RPM_BUILD_ROOT%{_libdir}/*.a
%endif

rm -rf $RPM_BUILD_ROOT%{_datadir}/man

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_libdir}/libpng14.dll.a
%{_libdir}/libpng.dll.a
%{_libdir}/libpng14.la
%{_libdir}/libpng.la
%{_includedir}/libpng14
%{_includedir}/png*.h
%{_pkgconfigdir}/libpng14.pc
%{_pkgconfigdir}/libpng.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libpng14.a
%{_libdir}/libpng.a

%files dll
%defattr(644,root,root,755)
%{_dlldir}/libpng14-*.dll

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: crossmingw32-libpng.spec,v $
Revision 1.47  2011/02/19 20:24:09  wiget
- no need to filter out -gdwarf-3 with new gcc

Revision 1.46  2011/02/19 17:20:54  wiget
- updated pngminus patch
- filter out -gdwarf-3 (ELF only)

Revision 1.45  2010/12/10 15:37:33  qboosh
- updated to 1.4.5

Revision 1.44  2010/09/24 06:26:48  qboosh
- updated to 1.4.4

Revision 1.43  2010/09/19 05:38:57  qboosh
- unified MinGW32 caps

Revision 1.42  2010/07/10 20:19:42  qboosh
- CVE reference

Revision 1.41  2010/06/30 07:32:59  qboosh
- updated to 1.4.3 [fixes CVE-2010-1205]

Revision 1.40  2010/06/02 12:30:44  sparky
- added tar BR

Revision 1.39  2010/05/08 08:18:44  qboosh
- updated to 1.4.2

Revision 1.38  2010/03/23 20:45:13  qboosh
- hack to force using plain exports instead of version script (.dll.a had no symbols)

Revision 1.37  2010/03/21 17:01:40  qboosh
- updated to 1.4.1 (from libpng.spec)

Revision 1.36  2009/03/25 06:28:46  qboosh
- CVE reference

Revision 1.35  2009/03/16 19:30:34  qboosh
- updated to 1.2.35 [fixes CVE-2009-0040]

Revision 1.34  2008/12/25 10:20:08  qboosh
- updated to 1.2.34

Revision 1.33  2008/11/01 11:03:23  qboosh
- updated to 1.2.33

Revision 1.32  2008/09/19 18:49:59  qboosh
- updated to 1.2.32 (fixes CVE-2008-3964)

Revision 1.31  2008/08/23 08:19:39  qboosh
- updated to 1.2.31

Revision 1.30  2008/05/12 17:14:18  qboosh
- updated to 1.2.29
- removed obsolete ECHO hack

Revision 1.29  2008-05-06 20:51:58  qboosh
- updated to 1.2.28
- ac/am/lt rebuild and ECHO hack needed to build

Revision 1.28  2008-04-15 23:06:22  qboosh
- updated to 1.2.26 + cve patch (fixes CVE-2008-1382)

Revision 1.27  2008-03-11 19:28:49  qboosh
- APNG provides for consistency with native libpng

Revision 1.26  2008-03-08 15:06:04  qboosh
- updated to 1.2.25
- use lzma source
- merged apng patch from native libpng

Revision 1.25  2008-01-14 19:28:19  qboosh
- force %{_lib}-independent libdir

Revision 1.24  2007-12-16 18:41:48  qboosh
- updated to 1.2.24

Revision 1.23  2007-11-16 22:46:27  qboosh
- updated to 1.2.23

Revision 1.22  2007-10-26 16:04:57  qboosh
- CVE references

Revision 1.21  2007/10/20 23:10:21  wolf
- 1.2.22 [fixes CVE-2007-5268 CVE-2007-5269]

Revision 1.20  2007/09/09 00:09:05  qboosh
- updated to 1.2.20

Revision 1.19  2007/08/21 18:09:43  qboosh
- updated to 1.2.19

Revision 1.18  2007/03/06 20:38:45  qboosh
- cleanup, separated -static, restored -dll

Revision 1.17  2007/02/25 15:03:54  czarny
- shared + static build
- configure used for .la and .pc files

Revision 1.16  2007/02/12 21:23:51  glen
- tabs in preamble

Revision 1.15  2007/02/12 00:48:43  baggins
- converted to UTF-8

Revision 1.14  2007/01/31 19:27:22  qboosh
- updated to 1.2.16

Revision 1.13  2007/01/06 19:53:57  qboosh
- updated to 1.2.15 (fixes CVE-2006-5793)

Revision 1.12  2006/07/21 08:37:09  qboosh
- updated to 1.2.12 (fixes CVE-2006-3334)
- use makefile.gcmmx unconditionally as target is always i386

Revision 1.11  2006/05/09 21:18:55  qboosh
- updated to 1.2.10

Revision 1.10  2006/04/17 00:48:00  qboosh
- updated to 1.2.9, updated shared patch

Revision 1.9  2005/10/19 12:59:54  qboosh
- R: crossmingw32-zlib

Revision 1.8  2004/12/04 15:36:38  qboosh
- updated to 1.2.8

Revision 1.7  2004/10/09 11:04:07  wolf
- rel++
- R: crossmingw32-runtime

Revision 1.6  2004/09/16 11:57:21  wolf
- rel 2 to rebuild with gcc 3.4.2

Revision 1.5  2004/09/12 12:21:49  wolf
- 1.2.7

Revision 1.4  2004/08/30 19:30:38  qboosh
- updated to final 1.2.6 (fixes CAN-2004-0597 CAN-2004-0598 CAN-2004-0599)
- updated shared patch, release 4

Revision 1.3  2004/05/08 16:35:32  wolf
- CAN-2004-0421

Revision 1.2  2004/02/21 18:43:07  wolf
- fix alpha, sparc

Revision 1.1  2003/12/25 15:04:15  wolf
- blah
